Index: npl/system/ethtool/ethtool.build
===================================================================
--- npl/system/ethtool/ethtool.build	(revision 892871dd93b543e93ef2b47887b901a98993e33c)
+++ npl/system/ethtool/ethtool.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -1,1 +1,1 @@
-6408
+6409
Index: npl/system/ethtool/ethtool.depver
===================================================================
--- npl/system/ethtool/ethtool.depver	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/ethtool/ethtool.depver	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+libmnl	0
Index: npl/system/ethtool/ethtool.md5
===================================================================
--- npl/system/ethtool/ethtool.md5	(revision 892871dd93b543e93ef2b47887b901a98993e33c)
+++ npl/system/ethtool/ethtool.md5	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -1,8 +1,8 @@
 8581ba13879ffe14b7eba622e1fd132b  ./ethtool-4.5.tar.sign
 ee04e48c73cf88328a66b64c8af67fe4  ./ethtool-5.14.tar.xz
-602fb9b51d4e1602a71410184e9110a6  ./ethtool_dev.pkg
-c69594ac79ddf6afd4121bbf316bf282  ./ethtool.pkg
+bfa4dedba3bd394a63fcd72d84f6ae2f  ./ethtool_dev.pkg
+74d99e0bb13d5a82543b3ea94e4574ab  ./ethtool.pkg
 174802e2f3f687b1761eb3734c1cc28f  ./ethtool.SlackBuild
-3585518208588938e6e8af6ae75a7db9  ./ethtool.SlackBuild.log.gz
+8904b8f28af8aa64a30f6504f63ba227  ./ethtool.SlackBuild.log.gz
 72b2ddac7f7a03d18f857127457bd36e  ./ethtool.SlackBuild.orig
 ad0fd7b2520770958b48d18c83396614  ./slack-desc
Index: npl/system/ethtool/ethtool_dev.arch
===================================================================
--- npl/system/ethtool/ethtool_dev.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/ethtool/ethtool_dev.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/ethtool/ethtool_dev.build
===================================================================
--- npl/system/ethtool/ethtool_dev.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/ethtool/ethtool_dev.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+2
Index: npl/system/ethtool/ethtool_dev.version
===================================================================
--- npl/system/ethtool/ethtool_dev.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/ethtool/ethtool_dev.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+5.14
Index: npl/system/net_tools/get-net-tools.sh
===================================================================
--- npl/system/net_tools/get-net-tools.sh	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/get-net-tools.sh	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Copyright 2017  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf net-tools
+
+# Clone repository:
+git clone git://net-tools.git.sourceforge.net/gitroot/net-tools/net-tools/
+
+# checkout $BRANCH:
+( cd net-tools 
+  git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd net-tools && git log -1 --format=%h )"
+DATE="$( cd net-tools && git log -1 --format=%cd --date=format:%Y%m%d )"
+# Cleanup.  We're not packing up the whole git repo.
+( cd net-tools && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv net-tools net-tools-${DATE}_${HEADISAT}
+tar cf net-tools-${DATE}_${HEADISAT}.tar net-tools-${DATE}_${HEADISAT}
+xz -9 -f net-tools-${DATE}_${HEADISAT}.tar
+rm -rf net-tools-${DATE}_${HEADISAT}
+echo
+echo "net-tools branch $BRANCH with HEAD at $HEADISAT packaged as net-tools-${DATE}_${HEADISAT}.tar.xz"
+echo
+
Index: npl/system/net_tools/ipmask.8
===================================================================
--- npl/system/net_tools/ipmask.8	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/ipmask.8	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,34 @@
+.\" -*- nroff -*-
+.ds g \" empty
+.ds G \" empty
+.\" Like TP, but if specified indent is more than half
+.\" the current line-length - indent, use the default indent.
+.de Tp
+.ie \\n(.$=0:((0\\$1)*2u>(\\n(.lu-\\n(.iu)) .TP
+.el .TP "\\$1"
+..
+.TH IPMASK 8 "29 April 2007" "Slackware Version 12.0.0"
+.SH NAME
+ipmask \- determine network and broadcast addresses given a decimal netmask and IP address.
+.SH SYNOPSIS
+.B ipmask <decimal netmask> <decimal IP address>
+.SH DESCRIPTION
+.B ipmask
+is a simple program to calculate broadcast and network addresses from a decimal netmask and a decimal IP address.  It is used in the Slackware networking script /etc/rc.d/rc.inet1, and in the netconfig script.
+.SH OPTIONS
+.TP
+.B \<decimal netmask>
+A decimal netmask, such as:  255.255.255.0
+.TP
+.B \<decimal IP address>
+A decimal IP address, such as:  192.168.168.168
+.SH EXAMPLE
+Using the above sample netmask and IP address, here's an example:
+.TP
+$ ipmask 255.255.255.0 192.168.168.168
+.TP
+192.168.168.255 192.168.168.0
+.TP
+The program returns first the corresponding broadcast address, and then the network address.
+.SH AUTHOR
+Copyright 1994 by David Niemi.  Written in about 30 minutes on 13 Aug.  The author places no restrictions on the use of this program, provided that this copyright is preserved in any derived source code.
Index: npl/system/net_tools/ipmask.c
===================================================================
--- npl/system/net_tools/ipmask.c	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/ipmask.c	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,87 @@
+/* ipmask.c
+ *
+ * Given argv[1] as a decimal netmask and argv[2] as a decimal IP address,
+ * print the resulting broadcast and network addresses to stdout.  This is
+ * potentially useful in scripts which need the broadcast address and the
+ * network address but want to ask the user as few questions as possible.
+ *
+ * Copyright 1994 by David Niemi.  Written in about 30 minutes on 13 Aug.
+ * The author places no restrictions on the use of this program, provided
+ * that this copyright is preserved in any derived source code.
+ *
+ * Typical compilation command for Linux:
+ *	cc ipmask.c -Wall -O -m486 -N -o ipmask -s
+ */
+
+#define MYNAME "ipmask"
+
+#include <stdio.h>
+
+void Usage(void) {
+	fprintf (stderr,
+		"USAGE: %s <decimal netmask> <decimal IP address>\n",
+		MYNAME);
+}
+
+int main(int argc, char *argv[])
+{
+unsigned long netmask, ipaddr, netaddr, broadcast;
+int in[4], j;
+unsigned char bc[4],na[4];
+
+	if (3 != argc) {
+		Usage();
+		exit(1);
+	}
+
+	/* Check netmask */
+	if (4 != sscanf(argv[1],"%d.%d.%d.%d", &in[0],&in[1],&in[2],&in[3])) {
+		fprintf (stderr,"Invalid netmask \"%s\".\n", argv[1]);
+		Usage();
+		exit(1);
+	}
+	for (j=0; j<4; ++j) {
+		if (in[j]<0 || in[j]>255) {
+			fprintf (stderr,
+				"Invalid octet %d in netmask \"%s\".\n",
+				j+1, argv[1]);
+			Usage();
+			exit(1);
+		}
+	}
+	netmask = in[3] + 256 * (in[2] + 256 * (in[1] + 256 * in[0]));
+
+	/* Check IP address */
+	if (4 != sscanf(argv[2],"%d.%d.%d.%d", &in[0],&in[1],&in[2],&in[3])) {
+		fprintf (stderr,"Invalid IP address \"%s\".\n", argv[2]);
+		Usage();
+		exit(1);
+	}
+	for (j=0; j<4; ++j) {
+		if (in[j]<0 || in[j]>255) {
+			fprintf (stderr,
+				"Invalid octet %d in IP address \"%s\".\n",
+				j+1, argv[1]);
+			Usage();
+			exit(1);
+		}
+	}
+	ipaddr = in[3] + 256 * (in[2] + 256 * (in[1] + 256 * in[0]));
+
+	broadcast = ipaddr | (~ netmask);
+	bc[0] = broadcast / 256 / 256 / 256;
+	bc[1] = (broadcast / 256 / 256) % 256;
+	bc[2] = (broadcast / 256) % 256;
+	bc[3] = broadcast % 256;
+
+	netaddr = ipaddr & netmask;
+	na[0] = netaddr / 256 / 256 / 256;
+	na[1] = (netaddr / 256 / 256) % 256;
+	na[2] = (netaddr / 256) % 256;
+	na[3] = netaddr % 256;
+
+	printf ("%d.%d.%d.%d %d.%d.%d.%d\n",
+		bc[0], bc[1], bc[2], bc[3], na[0], na[1], na[2], na[3]);
+
+	exit(0);
+}
Index: npl/system/net_tools/net-tools.SlackBuild.orig
===================================================================
--- npl/system/net_tools/net-tools.SlackBuild.orig	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/net-tools.SlackBuild.orig	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,123 @@
+#!/bin/bash
+
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2017, 2018  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=net-tools
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i386" ]; then
+  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+else
+  SLKCFLAGS="-O2"
+fi
+
+cd $TMP
+rm -rf net-tools-$VERSION
+tar xvf $CWD/net-tools-$VERSION.tar.xz || exit 1
+cd net-tools-$VERSION || exit 1
+
+zcat $CWD/net-tools.config.h.gz > config.h
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \+ -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \+
+
+mkdir -p $PKG/usr/doc/net-tools-$VERSION
+cp -a \
+  COPYING* INSTALLING README* THANKS TODO \
+  $PKG/usr/doc/net-tools-$VERSION
+chmod 644 $PKG/usr/doc/net-tools-$VERSION/*
+chown root:root $PKG/usr/doc/net-tools-$VERSION/*
+HAVE_FW_MASQUERADE=1 HAVE_ARP_TOOLS=1 HAVE_HOSTNAME_TOOLS=1 \
+  HAVE_HOSTNAME_SYMLINKS=1 HAVE_IP_TOOLS=1 HAVE_MII=1 \
+  HAVE_PLIP_TOOLS=1 HAVE_SERIAL_TOOLS=1 make  || exit 1
+strip --strip-unneeded ipmaddr iptunnel hostname arp ifconfig nameif rarp route netstat plipconfig slattach mii-tool
+mkdir -p $PKG/sbin $PKG/bin $PKG/usr/sbin
+cat arp > $PKG/sbin/arp
+cat ifconfig > $PKG/sbin/ifconfig
+cat rarp > $PKG/sbin/rarp
+cat route > $PKG/sbin/route
+cat mii-tool > $PKG/sbin/mii-tool
+cat nameif > $PKG/sbin/nameif
+cat netstat > $PKG/bin/netstat
+cat plipconfig > $PKG/sbin/plipconfig
+cat slattach > $PKG/usr/sbin/slattach
+cat ipmaddr > $PKG/sbin/ipmaddr
+cat iptunnel > $PKG/sbin/iptunnel
+chmod 755 $PKG/sbin/* $PKG/bin/* $PKG/usr/sbin/*
+cd man/en_US
+mkdir -p $PKG/usr/man/man{1,5,8}
+cat ethers.5 | gzip -9c > $PKG/usr/man/man5/ethers.5.gz
+for page in arp.8 ifconfig.8 mii-tool.8 nameif.8 netstat.8 rarp.8 route.8 \
+  slattach.8 plipconfig.8 ; do
+  cat $page | gzip -9c > $PKG/usr/man/man8/$page.gz
+done
+
+# This is a little Slackware-specific tool used in some of the network
+# related scripts to calculate network and broadcast addresses:
+( cd $PKG/bin
+  cc -O2 -o ipmask $CWD/ipmask.c
+  strip --strip-unneeded ipmask
+  chmod 755 ipmask
+)
+cat $CWD/ipmask.8 | gzip -9c > $PKG/usr/man/man8/ipmask.8.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/system/net_tools/net_tools.SlackBuild
===================================================================
--- npl/system/net_tools/net_tools.SlackBuild	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/net_tools.SlackBuild	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirror.slackbuilds.org/slackware/slackware-current/source/n/net-tools/
+# Created at vr 15 okt 2021 12:45:38 CEST
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./net-tools.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/system/net_tools/net_tools.arch
===================================================================
--- npl/system/net_tools/net_tools.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/net_tools.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/net_tools/net_tools.build
===================================================================
--- npl/system/net_tools/net_tools.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/net_tools.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+1
Index: npl/system/net_tools/net_tools.md5
===================================================================
--- npl/system/net_tools/net_tools.md5	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/net_tools.md5	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,11 @@
+a3f2c9f2d89c0759865ce36be870daed  ./get-net-tools.sh
+ee050f177bef0bd292e47fb73dc89189  ./ipmask.8
+b5c0a7ca246bb93bbbcf717edc5e4ba0  ./ipmask.c
+85e255fd2cf36e95896e06601d0ca2b1  ./net-tools-20181103_0eebece.tar.xz
+877dd9db879b32ff246499c62ad864b2  ./net-tools.config.h.gz
+5cd94a1cd0f377fe2c93643136ec6584  ./net_tools_dev.pkg
+91647f1a30f968a9d21e226f78bb1448  ./net_tools.pkg
+863cd8cfad23d79650d522b132532fd4  ./net_tools.SlackBuild
+23a0a3101da40225b2002cb7db4fac7f  ./net_tools.SlackBuild.log.gz
+cf775e554c43d366e10f41db2a193354  ./net-tools.SlackBuild.orig
+ac4eca7faa5c647809c666d9aa76faa0  ./slack-desc
Index: npl/system/net_tools/net_tools.version
===================================================================
--- npl/system/net_tools/net_tools.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/net_tools.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+20181103_0eebece
Index: npl/system/net_tools/net_tools_dev.arch
===================================================================
--- npl/system/net_tools/net_tools_dev.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/net_tools_dev.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/net_tools/net_tools_dev.build
===================================================================
--- npl/system/net_tools/net_tools_dev.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/net_tools_dev.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+1
Index: npl/system/net_tools/net_tools_dev.version
===================================================================
--- npl/system/net_tools/net_tools_dev.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/net_tools_dev.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+20181103_0eebece
Index: npl/system/net_tools/slack-desc
===================================================================
--- npl/system/net_tools/slack-desc	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/net_tools/slack-desc	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+         |-----handy-ruler------------------------------------------------------|
+net-tools: net-tools (Linux networking utilities)
+net-tools:
+net-tools: This is a collection of traditional tools such as "ifconfig" and
+net-tools: "route" that were used to configure networking on Linux. While you can
+net-tools: still make use of these tools today, they have been largely superseded
+net-tools: by newer tools such as "ip", "ifrename", and "ethtool".
+net-tools:
+net-tools: The net-tools package was maintained for many years by Phil Blundell
+net-tools: and Bernd Eckenfels.
+net-tools:
+net-tools:
Index: npl/system/sed/sed.SlackBuild
===================================================================
--- npl/system/sed/sed.SlackBuild	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/sed.SlackBuild	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-14.2/source/a/sed/
+# Created at do 14 okt 2021 18:28:25 CEST
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./sed.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/system/sed/sed.SlackBuild.orig
===================================================================
--- npl/system/sed/sed.SlackBuild.orig	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/sed.SlackBuild.orig	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Copyright 2005-2013  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=sed
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-sed
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i486 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ "$ARCH" = "i386" ]; then
+  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $PKG $PKG
+
+cd $TMP
+rm -rf sed-$VERSION
+tar xvf $CWD/sed-$VERSION.tar.?z* || exit 1
+cd sed-$VERSION
+chown -R root:root .
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --mandir=/usr/man \
+  --infodir=/usr/info \
+  --docdir=/usr/doc/sed-$VERSION \
+  --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/bin
+mv $PKG/usr/bin/sed $PKG/bin
+( cd $PKG/usr/bin ; ln -sf /bin/sed . )
+
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+    xargs strip --strip-unneeded 2> /dev/null 
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+    xargs strip --strip-unneeded 2> /dev/null 
+) || true
+
+# Compress and if needed symlink the man pages:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1) ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.?
+      )
+    done
+  )
+fi
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/sed-$VERSION
+cp -a \
+  AUTHORS BUGS COPYING* INSTALL NEWS README* THANKS \
+  $PKG/usr/doc/sed-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/sed-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/system/sed/sed.arch
===================================================================
--- npl/system/sed/sed.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/sed.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+i486
Index: npl/system/sed/sed.build
===================================================================
--- npl/system/sed/sed.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/sed.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+1
Index: npl/system/sed/sed.md5
===================================================================
--- npl/system/sed/sed.md5	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/sed.md5	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,7 @@
+4739a993a424607be9b4e6afe4dd3465  ./sed-4.2.2.tar.xz
+7f7dfbf5f5c38acf1cbcaf8681ca863c  ./sed_dev.pkg
+abd34b0feabe2d7c872f7bd35d86a08e  ./sed.pkg
+7c9272c12894d456369bce7d594e4d82  ./sed.SlackBuild
+3536eb6c18addbc54418fd9aa75880f0  ./sed.SlackBuild.log.gz
+65d93a488836b65c91a8e091692f28f2  ./sed.SlackBuild.orig
+6b15a9079c69d7c8fb3d634e27e4e4b0  ./slack-desc
Index: npl/system/sed/sed.version
===================================================================
--- npl/system/sed/sed.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/sed.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+4.2.2
Index: npl/system/sed/sed_dev.arch
===================================================================
--- npl/system/sed/sed_dev.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/sed_dev.arch	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+i486
Index: npl/system/sed/sed_dev.build
===================================================================
--- npl/system/sed/sed_dev.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/sed_dev.build	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+1
Index: npl/system/sed/sed_dev.version
===================================================================
--- npl/system/sed/sed_dev.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/sed_dev.version	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,1 @@
+4.2.2
Index: npl/system/sed/slack-desc
===================================================================
--- npl/system/sed/slack-desc	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
+++ npl/system/sed/slack-desc	(revision dd1be7c4a1e8c66e5184ac71dd5f3d1770455e3d)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+   |-----handy-ruler------------------------------------------------------|
+sed: sed (stream editor)
+sed:
+sed: This is the GNU version of sed, a stream editor.  A stream editor is
+sed: used to perform basic text transformations on an input stream (a file
+sed: or input from a pipeline).  It is sed's ability to filter text in a
+sed: pipeline which distinguishes it from other types of editors.
+sed:
+sed: sed is a required package (it is needed by many system scripts).
+sed:
+sed:
+sed:
